Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225708 - ardour7: FTBFS in Fedora rawhide/f39
Summary: ardour7: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ardour7
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On: 2239326
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:11 UTC by Fedora Release Engineering
Modified: 2023-10-14 07:45 UTC (History)
3 users (show)

Fixed In Version: ardour7-7.5.0-4.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-14 07:45:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:11 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:11 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:11:38 UTC
ardour7 failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103557462


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix ardour7 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ardour7 will be orphaned. Before branching of Fedora 40,
ardour7 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:11:43 UTC
Created attachment 1977602 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 17:11:47 UTC
Created attachment 1977603 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:11:49 UTC
Created attachment 1977604 [details]
state.log

Comment 4 Mads Kiilerich 2023-07-25 18:15:30 UTC
FWIW, the Python 3.12 syntax warning has been fixed upstream - https://github.com/Ardour/ardour/commit/c86c4441578e1042ef66705f8086870ac7d2d812

Comment 5 Fedora Release Engineering 2023-08-16 07:54:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Guido Aulisi 2023-09-17 14:27:03 UTC
This failure is due to python 3.12 strict escape checking.
Ardour needs itstool to build, which is broken too.

Comment 8 Nils Philippsen 2023-10-13 23:02:06 UTC
The fixed itstool is available as a buildroot override, I’ve picked the linked fixes plus one to make Ardour build on Rawhide (with the new kissfft) and will build this for Fedora 39 and Rawhide.

Comment 9 Nils Philippsen 2023-10-14 07:45:30 UTC
The builds went well:

ardour7-7.5.0-4.fc39: https://koji.fedoraproject.org/koji/buildinfo?buildID=2306104
ardour7-7.5.0-4.fc40: https://koji.fedoraproject.org/koji/buildinfo?buildID=2306107

Because there is no change in the actual software, I won’t submit this an update.


Note You need to log in before you can comment on or make changes to this bug.